Description

Supportanfrage

Unsere Trainer haben in den Beispielen ein Problem gefunden:

ADTF 3.11.1

We discovered a problem during preparation of the training.

The Qt Quick FilterWidged is displayed inside the Qt-Xsystem service, but does not appear as widget, and also the left part and

upper part is missing in the view.

Im Demo QTQuick Tachometer Session:
Grüße,

Anja

A little bit different for the Demo Qt Shared Session: here at least some of the widgets have a title but I cannot move them (drag

&drop).

Lösung

ja, ist bekannt und auch als Known Problem deklariert:

[ACORE-10774] - Missing content or tab title of QtQuick Filter in certain layout situations

https://support.digitalwerk.net/projects/download-center/wiki/KnownProblems

https://support.digitalwerk.net/adtf/v3/adtf_html/page_known_problems.html

Das war schon immer ein Bug im Qt (und fällt nun noch mehr ins Gewicht) und ist erst mit einen Umstieg auf Qt 5.15.x gefixt.

Hier müssen wir aber den Umstieg noch planen, da damit einen Compilerwechsel auf VS 2019 VC142 einhergehen muss (Plan

Q2/2021).

Auf Linux gibt es zum Glück keine Probleme.

History

#1 - 2021-03-26 10:15 - hidden

- Status changed from New to Customer Feedback Required

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Topic set to ADTF::QtQuickFilter

- Resolution set to Known Problem

Hi Anja,

ja, ist bekannt und auch als Known Problem deklariert:

[ACORE-10774] - Missing content or tab title of QtQuick Filter in certain layout situations
https://support.digitalwerk.net/projects/download-center/wiki/KnownProblems

https://support.digitalwerk.net/adtf/v3/adtf_html/page_known_problems.html

Das war schon immer ein Bug im Qt (und fällt nun noch mehr ins Gewicht) und ist erst mit einen Umstieg auf Qt 5.15.x gefixt.

Hier müssen wir aber den Umstieg noch planen, da damit einen Compilerwechsel auf VS 2019 VC142 einhergehen muss (Plan Q2/2021).

Auf Linux gibt es zum Glück keine Probleme.

#2 - 2021-04-01 08:41 - hidden

Hallo Florian,

danke für deine Antwort. Ich war die letzten 3 Tage krank, deswegen erst jetzt meine Antwort.

Ich habe deine Antwort weitergegeben. Ein Punkt noch:

https://support.digitalwerk.net/projects/download-center/wiki/KnownProblems müsste noch um die neueren ADTF Versionen erweitert werden.

Uns ist das Problem erst bei ADTF 3.10 aufgefallen. Deswegen waren wir überrascht das es schon früher auftauchte, da wir den qtquick filter auch

viel in den Vorgängerversionen nutzten.

Grüße,

Anja

#3 - 2021-04-06 12:56 - hidden

- Status changed from Customer Feedback Required to In Progress

#4 - 2021-04-07 15:01 - hidden

- Project changed from 7 to Public Support

- Subject changed from [EBPSSD-1133] Qt Quickfilter Widget works not correctly inside the new QtXsystem services to [EBPSSD-1133] Qt Quickfilter

Widget works not correctly inside the new Qt XSystem services

- Description updated

- Status changed from In Progress to To Be Closed

Hi Anja,

https://support.digitalwerk.net/projects/download-center/wiki/KnownProblems müsste noch um die neueren ADTF Versionen erweitert werden.

 Ja, da klappt etwas mit dem Sync nach der Migration noch nicht, Tobi wird sich darum kümmern

Uns ist das Problem erst bei ADTF 3.10 aufgefallen. Deswegen waren wir überrascht das es schon früher auftauchte, da wir den qtquick filter

auch viel in den Vorgängerversionen nutzten.

 Uns auch erst, in Vorgängerversionen sieht zu Beginn meist gut aus, nach etwas verändern und rumspielen am Layout zeigt sich dann auch, dass Qt

über den Scope hinauszeichnet...

Beim neuen Layout fällt es sofort ins Gewicht.

Ich mach das Ticket dann zu.

#5 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
